.topNav {
  background-color: #EBE8E7;
  position: fixed;
  top:0;
  right:0;
  left:0;
  z-index: 100;
  width: 100%;
  height: 60px;
  display: none;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}
.topNav .logo-resp{
  display: inline-block;
}
.topNav .icon {
  display: inline-block;
  margin-right: 10px;
  position: relative;
  color: #F5F4F3;
  background-color: #EB4E1B;
  padding: 10px 20px 10px 2.5rem;
  text-decoration: none;
  box-shadow: 0 0px 1px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
}
.topNav .icon:hover{
  background-color:#ec683d;
}
.topNav .icon:before {
    content: "";
    position: absolute;
    left: 1rem;
    top: 0.75rem;
    width: 1em;
    height: 0.15em;
    background: #FFFFFF;
    box-shadow: 0 0.3em 0 0 #ffffff, 0 0.6em 0 0 #ffffff;
}

.topNavLinks{
  display: none;
  background-color: #F5F4F3;
  margin-top: 55px;
}
.topNavLinks h2{
  color: #3E2413;
  background-color: #EB4E1B;
  color: #FFFFFF;
  display: block;
  text-align: left;
  padding: 10px 20px;
  margin-bottom: 0.5em;
}
.topNavLinks a {
  display: block;
  color: #3E2413;
  text-align: left;
  padding: 10px 20px;
  text-decoration: none;
}
.topNavLinks a:hover {
  background-color: #F5F4F3;
  color: #EB4E1B;
}
.topNavLinks a.active {
  color: #EB4E1B;
}
.topNavLinks .respMenuBlock{
  padding-bottom: 1em;
}
div.respMenuProds a{
  background-repeat: no-repeat;
  padding-left: 40px;
  background-position:15px center;
}
.topNavLinks a.subcat {
  padding-left: 60px;
}

@media (max-width: 1100px) {
	.compare{
		width: 100%;
	}
	.compare table tr:first-child th{
		width: calc((768px - (2rem + 2rem * 2) - 120px)/2);
	}
	.compare table tr th:first-child{
		width: 120px;
	}

	.animated-x-scroll-hint-arrow{
		display: flex;
	}
}

@media (max-width: 768px) {
	.compare table tr:first-child th{
		width: calc(375px - 100px - 4rem);
	}
	.compare table tr th:first-child{
		width: 100px;
	}
	.compare-description p{
		padding-left: 1rem;
		padding-right: 1rem;
	}
  div.contact_form_box{
    flex-direction: column;
  }
  div.contact_form_box div.contact_avatar {
    width: 100%;
  }
}

@media screen and (max-width: 1099px) {
  .topNav {
    display: flex;
  }
  .topNavLinks.open{
    display: block;
  }
  body{
    margin-top: 55px;
  }
  div.center_panel div.reg_div legend,
  div.center_panel div.reg_div2 legend,
  div.center_panel_wide div.reg_div legend,
  div.center_panel_wide div.reg_div2 legend,
  div.center_panel_wide div.kosik div.osobne_udaje legend,
  div.kontakt legend {
    width: auto;
    margin: 10px 0px 10px 0px;
  }

  div.header_top{
    width: 100%;
  }
  div.header_middle{
    width: 100%;
  }
  div.header_bottom{
    width: 100%;
  }
  div.web{
    width: 100%;
  }
  div.our_values{
    width: 100%;
  }
  div.coffeein_in_media {
    width: 100%;
  }
  div.foot{
    width: 100%;
  }
}


@media (max-width: 1099px) {

  body{
    padding-bottom: 0px;
  }
  body.nofoot{
    padding-bottom: 0px;
  }
  div.header_top_container, div.header_top{
    background-color: transparent;
  }
  div.header_top ul.header_top_menu{
    display: block;
    width: 100%;
    height: auto;
    padding: 1rem 0rem 1rem 0rem;
  }
  div.header_top ul.header_top_menu li{
    width: 50%;
    text-align: center;
    padding-right: 0px;
    display: block;
    float: left;
    font-size: 0.8rem;
    color: #3E2413;
  }
  div.header_top ul.header_top_menu li:nth-child(1) {
    width: 50%;
    text-align: left;
  }

  div.header_top ul.header_top_menu li:nth-child(2) {
    width: 50%;
    text-align: right;
  }
  div.header_top ul.header_top_menu li a{
    color: #3E2413;
  }
  div.header_top div.header_top_free_shipping{
    display: none;
  }
  div.header_top div.header_top_shipping_country{
    margin: 0 auto 1rem auto;
    text-align: center;
    width: 100%;
  }
  div.header_top div.header_top_shipping_country a{
    color: #3E2413;
    font-size: 0.8rem;
  }
  div.header_top div.header_top_buttons{
    display: none;
  }
  div.header_middle a.logo{
    display: none;
  }
  div.header_middle_container{
    background-color: transparent;
  }
  div.header_middle{
    padding-top: 0em;
  }
  div.header_middle div.search_bar{
    margin: 0em auto 1em auto;
    float:left;
    width: 320px;
    padding: 0px;
    height: 45px;
  }
  div.header_middle div.search_bar input[type="text"]{
    width: 160px;
    padding-top: 5px;
    background-position: 12px calc(50% + 2px);
  }
  div.header_middle div.search_bar input[type="submit"]{
    margin: 0px;
    float: right;
    height: 45px;
  }
  div.header_middle_right{
    float: right;
    margin: 0em;
    width: 50%;
  }
  div.header_middle_right div.shop_cart{
    width: 100%;
    max-width: 320px;
    margin: 0 0 0 auto;
    background-color: #F5F4F3;
    height: auto;
  }
  div.header_middle_right div.shop_cart a{
    background-position: top 13px right 10px;
    padding: 10px 10px 10px 10px;
    font-size: 0.8rem;
  }
  div.header_middle_right div.shop_cart h6{
    text-decoration: underline;
    color: #EB4E1B;
    margin-bottom: 0px;
    display: inline-block;
    padding-right: 0px;
    font-size: 0.8rem;
  }
  div.header_middle_right div.shop_cart br{
    display: none;
  }
  div.header_middle_right div.shop_cart a span:nth-child(5){
    padding-left: 5px;
  }
  div.header_middle_right div.shop_cart div#finish_order{
    top: 45px;
  }

  div.header_bottom_container{
    display: none;
  }
  div.left_panel{
    display: none;
  }
  div.center_panel{
    margin: 0px;
    width: 100%;
  }
  div.home_coffee_helper_banner{
    margin: 0px 2% 30px 2%;
  }
  div.home_preparation{
    width: 96%;
    margin: 0px 2% 10px 2%;
  }
  div.home_preparation a{
    padding-top:10px;
    padding-bottom:10px;
  }
  div.home_shortcuts ul li{
    font-size: 0.8em;
  }
  div.center_panel .product_list{
    width: 100%;
    text-align: center;
  }
  div.center_panel li.product, div.center_panel_wide div.podobne_prod div.podobne_prod_sub li.product{
    margin: 0px auto 2rem auto;
  }

  a.back_link{
    margin: 0 0 0 0;
    padding: 1rem 1rem 0rem 1rem;
    float:none;
  }
  div.breadcrumbs{
    padding:1rem 1rem 1rem 1rem;
    line-height: 1.3rem;
    margin-bottom: 0px;
  }
  div.center_panel_wide div.detail{
    width: 90%;
    margin: 0 5% 1rem 5%;
  }
  div.center_panel_wide div.detail div.gallery{
    width: 100%;
    float: none;
    margin-right: 0px;
  }
  div.center_panel_wide div.detail div.gallery a.gallery_first_img{
    width: 100%;
    margin-bottom: 1rem;
  }
  div.center_panel_wide div.detail div.gallery a.gallery_first_img img,
  div.center_panel_wide div.detail div.gallery a.gallery_first_img img, div.center_panel_wide div.detail div.gallery div.images img{
    max-width: 100%;
    width: 100%;
    height: auto;
  }
  div.center_panel_wide div.detail div.gallery a.gallery_first_img img.taste_awards {
    width: 100px;
  }
  div.center_panel_wide div.detail div.gallery div.images{
    width: 100%;
    display: none;
  }
  div.center_panel_wide div.detail div.popis{
    width: 100%;
    margin: 1rem 0 1rem 0;
    float: none;
  }
  div.center_panel_wide div.detail div.popis h1{
    margin-bottom: 1rem;
    font-size: 1.1rem;
    padding: 1rem;
  }

  div.center_panel_wide div.detail div.popis div.rankbox span.rank_stars{
    display: block;
  }
  div.center_panel_wide div.detail div.popis div.rankbox span.rank_basedon{
    width: 100%;
    text-align: left;
  }
  div.center_panel_wide div.detail div.popis div.rankbox span.rank_basedon a{
    margin-left: 0;
  }
  div.center_panel_wide div.detail div.popis div.rankbox span.rank_basedon a:nth-child(2){
    float: right;
  }
  div.center_panel_wide div.detail div.price_box{
    float:none;
    width: 100%;
  }
  div.center_panel_wide div.detail div.price_box div.price_fixed_box{
    width: 100%;
  }
  div.center_panel_wide div.detail div.cart_shipping{
    width: 100%;
    flex-basis: 50%;
  }
  div.center_panel_wide div.detail div.popis_date_data{
    width: 90%;
    padding: 5%;
  }
  div.center_panel_wide div.detail div.close_info_container{
    margin-top: 2rem;
  }
  div.center_panel_wide div.detail div.close_info{
    float: none;
  }
  div.detail_content_div{
    float: none;
  }
  div.detail_content_div div.speci_param_main,
  div.detail_content_div div.preparing,
  div.center_panel_wide div.detail div.close_info div.desc_chut{
    float:none;
    width: 100%;
    margin-bottom: 1rem;
  }
  div.center_panel_wide div.detail div.close_info div#coffee_origin p,
  div.center_panel_wide div.detail div.close_info div#coffee_taste p {
    padding-right: 0px;
    padding-left: 0px;
  }
  div.detail_content_div div.preparing div.recommended_preparation a{
    margin: 0.5rem;
  }
  div.center_panel_wide div.detail div.close_info div.long_desc_desc p{
    text-align: left;
  }
  div.center_panel_wide div.detail div.ranks{
    margin: 1rem 0 0 0;
  }
  div.center_panel_wide div.detail div.ranks h3{
    width: auto;
    display: block;
  }
  div.center_panel_wide div.detail div.ranks span.rank_stars{
    width: 47%;
    padding:1rem 0 1rem 3%;
    float: left;
  }
  div.center_panel_wide div.detail div.ranks span.rank_basedon{
    width: 47%;
    padding:1rem 3% 1rem 0;
    text-align: right;
    float: right;
  }
  div.center_panel_wide div.detail div.ranks span.rank_add{
    float:none;
    width: auto;
    padding: 1rem 5%;
    text-align: center;
    width: 90%;
  }
  div.center_panel_wide div.detail div.ranks ul.ranksul li div.rank_left{
    float:none;
    width: 100%;
    margin-bottom: 0.5rem;
    padding: 0;
  }
  div.center_panel_wide div.detail div.ranks ul.ranksul li div.rank_right{
    padding: 1rem 0;
    width: 100%;
    margin-left: 0;
  }
  div.center_panel_wide div.detail div.ranks ul.ranksul li:nth-child(2n){
    background-color: transparent;
  }
  div.center_panel_wide div.detail div.ranks ul.ranksul li{
    border-bottom: 5px solid #F5F4F3;
  }
  div.center_panel_wide div.detail div.ranks ul.ranksul li:last-child{
    border-bottom: none;
  }
  div.center_panel_wide div.podobne_prod{
    margin-top: 0;
  }
  div.center_panel_wide div.podobne_prod div.podobne_prod_sub ul.product_list_similar li.product,
  div.center_panel_wide div.podobne_prod div.podobne_prod_sub ul.product_list_similar li.product:nth-child(1){
    margin: 0px auto 2rem auto;
  }
  ul.product_list_similar{
    text-align: center;
  }

  div.center_panel div.kat_desc{
    width: 90%;
    padding: 0rem 5% 1rem 5%;
    margin: 0px;
  }
  div.center_panel div.paginator{
    padding: 0rem 5%;
    width: 90%;
  }

  div.center_panel div.content_text{
    width: 90%;
    margin: 0px;
    padding: 1rem 5%;
  }
  div.center_panel div.content_text a{
    overflow-wrap: anywhere;
  }

  div.kontakt div.contact_div{
    width: 90%;
    padding: 1rem 5%;
  }
  div.kontakt div.contact_subdiv, div.kontakt div.contact_subdiv:nth-child(2){
    width: 100%;
    float: none;
  }
  div.kontakt h2{
    margin-bottom: 0;
  }
  div.kontakt div.contact_subdiv_map{
    float: none;
    width: 100%;
  }
  div.kontakt div.contact_subdiv_map iframe{
    width: 100%;
  }
  div.contact_avatar_col{
    width: auto;
    flex-basis: auto;
    padding: 0 2rem;
  }

  div.center_panel_wide a.kosik_back{
    margin-top: 0;
  }
  div.center_panel_wide div.kosik_navig{
    display: none;
    width: 100%;
  }
  div.center_panel_wide div.kosik{
    width: 100%;
  }

  div.center_panel_wide div.kosik table{
    width: 100%;
    margin-bottom: 1rem;
    margin-top: 1rem;
    border-collapse: collapse;
    border-spacing: 0;
    border-top: 5px solid #F5F4F3;
  }
  div.center_panel_wide div.kosik table tr{
    display: block;
    border-bottom: 5px solid #F5F4F3;
  }
  div.center_panel_wide div.kosik table tr.th_head{
    display: none;
  }
  div.center_panel_wide div.kosik table td{
    background-color: transparent;
  }
  div.center_panel_wide div.kosik table th, div.center_panel_wide div.kosik table td{
    width: 90%;
    margin: 0;
    padding: 1rem 5%;
    display: block;
  }
  div.center_panel_wide div.kosik table td.td_img{
    width: 20%;
    display: inline-block;
    padding: 1rem 0 0 5%;
  }
  div.center_panel_wide div.kosik table td img{
    max-width: 100%;
    width: auto;
  }
  div.center_panel_wide div.kosik table td.td_nazov{
    width: 65%;
    display: inline-block;
    padding: 1rem 5% 0 3%;
  }
  div.center_panel_wide div.kosik table td.td_nazov a{
    overflow-wrap: anywhere;
  }
  div.center_panel_wide div.kosik table td.td_sklad{
    padding: 1rem 0 1rem 5%;
    width: 45%;
    display: inline-block;
  }
  div.center_panel_wide div.kosik table td.td_ks{
    padding: 1rem 0 1rem 5%;
    width: 40%;
    display: inline-block;
    text-align: right;
  }
  div.center_panel_wide div.kosik table td.td_ks a.minus,
  div.center_panel_wide div.kosik table td.td_ks a.plus {
    background-color: #F5F4F3;
    padding: 5%;
    margin: 5%;
    display: inline-block;
    border-radius: 50%;
    vertical-align: bottom;
  }
  div.center_panel_wide div.kosik table td.td_ks input{
    display: inline-block;
    padding: 5%;
    margin: 5%;
    height: auto;
  }
  div.center_panel_wide div.kosik table td.td_ks span.max_order_limit{
    text-align: right;
    font-size: 0.85rem;
    margin-right: 33%;
  }
  div.center_panel_wide div.kosik table td.td_cena_kus span.mobile-desc{
    display: inline-block;
  }
  div.center_panel_wide div.kosik table td.td_cena_kus{
    width: 40%;
    padding: 1rem 3% 1rem 5%;
    display: inline-block;
  }
  div.center_panel_wide div.kosik table td.td_cena{
    padding: 1rem 0 1rem 3%;
    width: 45%;
    display: inline-block;
    text-align: right;
    font-size: 1.2rem;
  }
  div.center_panel_wide div.kosik table td.td_cancel{
    width: 90%;
    text-align: right;
    padding: 1rem 5% 1rem 5%;
  }
  div.center_panel_wide div.kosik table td.td_cancel a{
    display: inline-block;
  }

  div.kosik ul.monthly_competitions li{
    margin: 0.5rem 5% 0.5rem 5%;
    width: calc(90% - 4rem);
    text-align: center;
  }
  
  div.discount_form{
    margin: 0;
  }
  div.discount_form input[type="text"]{
    width: 135px;
  }
  div.discount_form input[type="submit"]{
    padding: 7px 10px;
  }

  div.center_panel_wide div.kosik table th.td_cancel{
    display: none;
  }

  div.center_panel_wide div.kosik table tr.th_foot th.td_cena_kus{
    padding: 1rem 0% 2rem 5%;
    width: 40%;
    display: inline-block;
  }
  div.center_panel_wide div.kosik table tr.th_foot th.td_cena{
    padding: 1rem 0 2rem 5%;
    width: 45%;
    display: inline-block;
    text-align: right;
  }

  li.benefit{
    margin: 1rem 5% 0 5%;
    width: 90%;
    height: auto;
    padding: 0px 0px 0px 0px;
  }
  li.benefit div.benefit_inner{
    height: auto;
    padding: 1rem;
  }
  div.center_panel_wide div.kosik div.buttons{
    width: 90%;
    margin: 2rem 5% 1rem 5%;
  }
  div.center_panel_wide div.kosik div.buttons a.back_link{
    display: none;
  }
  div.center_panel_wide div.kosik a.objednat, div.center_panel_wide div.kosik input.objednat{
    float:none;
    width: 50%;
    display: block;
    margin: 0 auto;
  }

  div.center_panel_wide div.kosik div.platba_a_doprava{
    width: 90%;
    margin: 1rem 5%;
  }
  div.center_panel_wide div.kosik div.sposob, div.center_panel_wide div.kosik div.platba{
    float:none;
    width: 100%;
    padding: 1rem 0;
  }
  div.center_panel_wide div.kosik div.sposob label, div.center_panel_wide div.kosik div.platba label{
    display: inline-block;
    width: 60%;
    vertical-align: middle;
  }
  div.center_panel_wide div.kosik div.rekapitulacia{
    width: 90%;
    margin: 0 5%;
  }
  div.center_panel_wide div.kosik div.rekapitulacia p.rekap span{
    width: 30%;
    text-align: right;
  }
  div.center_panel_wide div.kosik div.rekapitulacia p.spolu strong{
    width: 30%;
    text-align: right;
  }
  div.center_panel_wide div.kosik div.osobne_udaje{
    width: 90%;
    padding: 1rem 5%;
  }
  div.center_panel_wide div.kosik div.line1 div.half, div.center_panel_wide div.kosik div.line1 div.halfr{
    width: 90%;
    padding: 1rem 5%;
    margin: 0 0 1rem 0;
  }
  div.center_panel_wide div.kosik div.osobne_udaje div.lajn div.lavy{
    height: auto;
    margin: 0 0 1rem 0;
    padding: 0;
    width: 100%;
  }
  div.reg_form{
    padding: 1rem 5%;
  }
  div.center_panel_wide div.kosik div.osobne_udaje div.lajn label.hidd,
  div.center_panel_wide div.reg_div.login_full_div div.form_label,
  div.center_panel div.reg_div div.form_label, 
  div.center_panel div.reg_div2 div.form_label, 
  div.center_panel_wide div.reg_div div.form_label, 
  div.center_panel_wide div.reg_div2 div.form_label, 
  div.center_panel_wide div.kosik div.osobne_udaje div.form_label, 
  div.user_form_div div.reg_form div.form_pair div.form_label
  div.kontakt div.form_label{
    float: none;
    width: auto;
    text-align: left;
    margin: 0;
    padding: 0;
  }
  div.center_panel div.reg_div input[type="text"], 
  div.center_panel div.reg_div2 input[type="text"], 
  div.center_panel_wide div.reg_div input[type="text"], 
  div.center_panel_wide div.reg_div2 input[type="text"], 
  div.center_panel div.reg_div input[type="email"], 
  div.center_panel div.reg_div2 input[type="email"], 
  div.center_panel_wide div.reg_div input[type="email"], 
  div.center_panel_wide div.reg_div2 input[type="email"], 
  div.center_panel div.reg_div input[type="password"], 
  div.center_panel div.reg_div2 input[type="password"], 
  div.center_panel_wide div.reg_div input[type="password"], 
  div.center_panel_wide div.reg_div2 input[type="password"], 
  div.center_panel_wide div.kosik div.osobne_udaje input[type="text"],
  div.center_panel_wide div.kosik div.osobne_udaje div.lajn input[type="email"],
  div.center_panel_wide div.kosik div.osobne_udaje div.lajn input[type="tel"],
  div.center_panel_wide div.kosik div.osobne_udaje div.lajn input[type="number"], 
  div.center_panel_wide div.kosik div.osobne_udaje input[type="password"], 
  div.kontakt input[type="text"]{
    width: 90%;
    margin: 0;
    padding: 0.3rem 5%;
  }
  div.center_panel_wide div.kosik div.osobne_udaje div.lajn input[type="text"],
  div.center_panel_wide div.kosik div.osobne_udaje div.lajn input[type="email"],
  div.center_panel_wide div.kosik div.osobne_udaje div.lajn input[type="tel"],
  div.center_panel_wide div.kosik div.osobne_udaje div.lajn input[type="number"]{
    margin: 0;
    padding: 0.3rem 5%;
  }
  div.center_panel div.reg_div input[type="submit"], div.center_panel div.reg_div2 input[type="submit"], div.center_panel_wide div.reg_div input[type="submit"], div.center_panel_wide div.reg_div2 input[type="submit"], div.kontakt input[type="submit"]{
    margin: 1rem 0;
    float: none;
  }
  div.login_full_div .button{
    margin: 1rem 0 !important;
    float: none !important;
  }
  div.login_full_div span.error,
  div.center_panel div.reg_div span.error,
  div.center_panel div.reg_div2 span.error{
    margin: 0.5rem 0 1rem 0;
  }
  div.center_panel div.reg_div div.form_pair, 
  div.center_panel_wide div.reg_div div.form_pair, 
  div.center_panel div.reg_div2 div.form_pair, 
  div.center_panel_wide div.reg_div2 div.form_pair, 
  div.center_panel_wide div.kosik div.osobne_udaje div.form_pair, 
  div.kontakt div.form_pair{
    margin-bottom: 1rem;
  }


  div.center_panel_wide div.kosik div.osobne_udaje div.lajn div.lavy.comment_row{
    height: auto;
  }
  div.center_panel div.reg_div textarea, 
  div.center_panel div.reg_div2 textarea, 
  div.center_panel_wide div.reg_div textarea, 
  div.center_panel_wide div.reg_div2 textarea, 
  div.center_panel_wide div.kosik div.osobne_udaje textarea, 
  div.kontakt textarea,
  div.center_panel_wide div.kosik div.osobne_udaje div.lajn textarea{
    margin: 0;
    padding: 0.3rem 5%;
    height: auto;
    min-height: 150px;
    width: 90%;
  }
  div.center_panel_wide div.kosik table tr.th_dop th.td_ks, 
  div.center_panel_wide div.kosik table tr.th_dop th.td_cena_kus, 
  div.center_panel_wide div.kosik table tr.th_dop th.td_cancel,
  div.center_panel_wide div.kosik table tr.th_foot th.td_img,
  div.center_panel_wide div.kosik table tr.th_foot th.td_nazov,
  div.center_panel_wide div.kosik table tr.th_foot th.td_dostupnost,
  div.center_panel_wide div.kosik table tr.th_foot th.td_ks,
  div.center_panel_wide div.kosik table tr.th_foot th.td_cancel{
    display: none;
  }
  div.center_panel_wide div.kosik table tr.th_dop th{
    padding: 1rem 0% 2rem 5%;
    width: 40%;
    display: inline-block;
  }
  div.center_panel_wide div.kosik table tr.th_dop th.td_cena{
    padding: 1rem 0% 2rem 5%;
    width: 45%;
    display: inline-block;
    text-align: right;
  }
  div.order_end_blogs ul{
    margin: 0;
  }
  div.order_end_blogs ul li{
    margin: 1rem auto;
    width: 90%;
  }
  div.order_end_blogs ul li:nth-child(3n){
    margin-right: auto;
  }


  div.center_panel_wide div.reg_div.login_full_div{
    width: 90%;
    padding: 1rem 5%;
  }
  div.center_panel_wide div.reg_div.login_full_div legend{
    text-align: center;
    width: 100%;
    margin: 1rem auto;
  }
  div.center_panel div.reg_div, 
  div.center_panel div.reg_div2, 
  div.center_panel_wide div.reg_div, 
  div.center_panel_wide div.reg_div2, 
  div.user_order{
    margin: 1rem 0;
    padding: 0 5%;
    width: 90%;
  }
  fieldset{
    padding: 1em;
    margin: 0;
  }

  div.user_order table.orders{
    width: 100%;
    margin: 1rem auto;
    padding: 0;
  }
  div.user_order table.orders tr th:nth-child(4),
  div.user_order table.orders tr td:nth-child(4){
    display: none;
  }

  div.order_detail div:nth-child(1),
  div.order_detail div:nth-child(2){
	  width: 100%;
    margin-bottom: 1rem;
  }
  table.order_detail_table tr th{
    display: none;
  }
  table.order_detail_table tr td{
    padding: 1rem 5% 1rem 5%;
    width: 40%;
    display: inline-block;
    text-align: right;
  }
  table.order_detail_table tr td:nth-child(1){
    width: 20%;
  }
  table.order_detail_table td img{
    width: 100%;
  }
  table.order_detail_table tr td:nth-child(2){
    width: 60%;
    text-align: left;
  }
  table.order_detail_table tr td:nth-child(3){
    width: 20%;
  }
  table.order_detail_table tr td:nth-child(4){
    width: 20%;
  }
  table.order_detail_table tr td:nth-child(5){
    width: 35%;
    padding-right:3%;
    text-align: right;
  }
  div.center_panel_wide div.kosik div.osobne_udaje div.lajn4 div.hidd{
    width: 30%;
  }


  div.footer_container{
    position: relative;
    bottom: 0px;
  }
  div.our_values ul li {
    display: inline-block;
    padding: 0rem 2% 0rem 2%;
  }
  div.foot{
    padding: 0px;
  }
  div.foot div.footer_left{
    float: none;
    width: 90%;
    padding: 2em 5% 0 5%;
  }
  div.foot div.footer_center{
    float: none;
    width: 90%;
    padding: 0em 5%;
    margin: 0px;
  }
  div.foot div.footer_right{
    float: none;
    width: 90%;
    padding: 2em 5%;
    margin: 0px;
  }
  div.foot div.footer_right form{
    max-width: 350px;
  }
  div.foot div.footer_right input[type="text"]{
    width: 200px;
    height: 19px;
  }
  div.foot div.footer_right input[type="submit"]{
    float: right;
  }
  div.foot_sign{
    position: relative;
    padding: 1rem 5%;
  }

  .msg_ok, .msg_info, .msg_err, ul.error{
    width: 80%;
    margin: 2rem auto 1rem auto;
    padding: 1rem 5%;
  }
}

@media (max-width: 472px) {
  div.center_panel li.product:last-child, div.center_panel_wide div.podobne_prod div.podobne_prod_sub li.product:last-child{
    border-bottom: 0px;
  } 
  div.home_preparation a{
    font-size: 0.9rem;
  }
  div.header_middle_right div.shop_cart div#finish_order {
    position: relative;
    top: 0px;
  }
}

@media (max-width: 780px) {
    div.center_panel h1.contains_gta_tags{
      padding: 25px 20px 55px 25px;
    }
    img.taste_awards_hp{
      left: 50%;
      transform: translateX(-50%);
    }
    img.taste_awards_hp:nth-child(3){
      left: 60%;
      transform: translateX(-60%);
    }
    img.eco-badge-hp{
      left: 40%;
      transform: translateX(-40%);
      width: 60px;
    }
    div.home_shortcuts ul{
      display: none;
    }
    div.header_top ul.header_top_menu li:nth-child(1) {
      width: 50%;
      text-align: center;
    }
    div.header_top ul.header_top_menu li:nth-child(2) {
      width: 50%;
      text-align: center;
    }
    div.header_middle div.search_bar {
      margin: 0em auto 1em auto;
      float: none;
      width: 320px;
      padding: 0px;
    }
    div.header_middle_right {
      float: none;
      margin: 0em auto;
      width: 100%;
    }
    div.header_middle_right div.shop_cart {
      width: 100%;
      max-width: 320px;
      margin: 1rem auto 1rem auto;
      background-color: #F5F4F3;
    }
    div.center_panel_wide div.detail div.gallery a.gallery_first_img img.taste_awards {
      width: 80px;
    }
    div.center_panel_wide div.kosik div.beanie_cart_wrapper{
      height: auto;
      text-align: center;
    }
    div.center_panel_wide div.kosik div.beanie_cart_wrapper img.beanie_upsell{
      position: relative;
      left: unset;
      top: unset;
    }
    div.center_panel_wide div.kosik div.bonus_products h2{
      padding: 1rem 1rem 0 1rem;
    }
    div.center_panel li.product .tags, div.center_panel_wide div.podobne_prod div.podobne_prod_sub li.product .tags, div.gallery .tags{
      z-index:5;
    }
    div.center_panel div.filter{
      line-height: 1.75rem;
      flex-wrap: wrap;
    }
    div.center_panel div.filter form:nth-child(1){
      flex-wrap: wrap;
      flex-flow: column;
      align-items: flex-start;
    }
    div.center_panel div.filter form:nth-child(1) select{
      margin: 0.5rem 0;
    }
    div.center_panel div.filter form:nth-child(2) span{
      display: none;
    }
    div.center_panel div.filter form:nth-child(2) select{
      margin: 0.5rem 0;
    }
    div.center_panel div.content_text ul.encyclopedy-list li{
      flex-basis: 47%;
    }
    div.contact_avatars_wrapper{
      flex-wrap: wrap;
    }
    div.contact_address{
      width: 100%;
    }
    div.contact_avatar_col{
      width: 50%;
      flex-basis: 50%;
      padding: 1rem 0;
    }
    div.subscribe_cta{
      flex-wrap: wrap;
    }
}

@media (min-width: 769px) and (max-width: 1099px) {
  div.header{
    max-width: 768px;
    margin: 0 auto;
  }
  div.web{
    max-width: 768px;
    margin: 0 auto 1rem auto;
  }
  div.footer_container{
    max-width: auto;
    margin: 0 auto;
  }
  div.foot_sign{
    max-width: auto;
    margin: 0 auto;
    padding: 1rem 30px;
  }
  div.foot div.footer_right,
  div.foot div.footer_center{
    max-width: 330px;
    float: left;
    padding: 1rem 5%;
  }
  div.our_values ul li{
    display: inline-block;
    padding: 0;
  }
  div.center_panel_wide div.detail div.gallery a{
    width: 30%;
    display: inline-block;
  }
  div.center_panel_wide div.detail div.gallery a.gallery_first_img img.taste_awards {
    width: 100px;
  }
}

@media (max-width: 600px) {
  div.center_panel li.product, div.center_panel_wide div.podobne_prod div.podobne_prod_sub li.product{
    flex-basis: 48%;
    padding-top: 10px;
  }
  div.center_panel li.product .prod_img, div.center_panel_wide div.podobne_prod div.podobne_prod_sub li.product .prod_img{
    width: 100%;
    height: 150px;
    margin: 0px 0px 0px 0px;
  }
  li.product span.roast_level, div.center_panel_wide div.podobne_prod div.podobne_prod_sub li.product span.roast_level{
    left: 0px;
    right: 0px;
  }
  div.center_panel_wide div.detail div.gallery a.gallery_first_img{
    min-height: 260px;
  }
  div.header_top ul.header_top_menu li:nth-child(1) {
    width: 60%;
    text-align: center;
  }

  div.header_top ul.header_top_menu li:nth-child(2) {
    width: 40%;
    text-align: center;
  }
  img.taste_awards_hp{
    left: 50%;
    transform: translateX(-50%);
  }
  img.taste_awards_hp:nth-child(3){
    left: 70%;
    transform: translateX(-70%);
  }
  img.eco-badge-hp{
    left: 30%;
    transform: translateX(-30%);
    width: 60px;
  }
  div.thanks img.beanie_thanks{
    max-width: 100%;
  }
  
  div.center_panel div.content_text ul.encyclopedy-list li{
    flex-basis: 100%;
    margin-left: 0;
  }
  div.center_panel .right-link-back{
    float: none;
    clear: both;
    padding-bottom: 1rem;
  }
  div.center_panel_wide div.detail div.cart_shipping{
    flex-basis: 100%;
    justify-content: center;
  }
}

@media (max-width: 1024px) {
  div.center_panel_wide div.podobne_prod div.podobne_prod_sub li.product{
    flex-basis: 48%;
    padding-top: 10px;
  }
}

@media (max-width: 1100px){
  div.detail_content_div{
    flex-wrap: wrap;
    margin-bottom:0px;
  }
  div.detail_content_div div.speci_param{
    justify-content: center;
  }
  div.detail_content_div div.recipes div.recipes_list div.recipe a span{
    margin-bottom: 0px;
    margin-top: 10px;
  }
  div#rank_form div.form_label{
    width: 100%;
  }
  div#rank_form input[type="text"], 
  div#rank_form input[type="email"], 
  div#rank_form textarea{
    width: calc(100% - 10px);
  }
  div#rank_form span.error{
    margin: 0.5rem 0 1rem 0;
  }
}

@media (max-width: 1200px) {
  div.center_panel_wide div.kosik div.bonus_products{
    width: 90%;
    margin: 1rem 5% 0 5%;
  }

  .bonus-slider-prev {
    left: -3%;
  }

  .bonus-slider-next {
      right: -3%;
  }
}